-- Example 05
-- From Ahammer, Andreas: <http://wi.wu-wien.ac.at/rgf/diplomarbeiten/index.html#bakk_07>
-- get the statistics of a swirter-file from the DocumentProperties
-- changed: 2008-07-21, Rony G. Flatscher: using new public routine "uno.createProperty()"

-- Retrieve the Desktop object, we need its XComponentLoader interface to load
-- a new document
oDesktop         = UNO.createDesktop()    -- get the UNO Desktop service object
xComponentLoader = oDesktop~XDesktop~XComponentLoader  -- get componentLoader
                                                       -- interface
/* open the *.doc  */
url = makeUrl("textdocument01.sxw")  -- get the document from the current folder
props = bsf.createArray(.UNO~propertyValue, 1)     -- create Java array
props[1]=uno.createProperty("Hidden", box("boolean", .true))
xWriterComponent = xComponentLoader~loadComponentFromURL(url, "_blank", 0, props)

/* create the TextObject and get the Properties*/
xTextDocumentProps = xWriterComponent~XTextDocument~XPropertySet

SAY "paragraphs: " xTextDocumentProps~getPropertyValue("ParagraphCount")
SAY "words:      " xTextDocumentProps~getPropertyValue("WordCount")
SAY "characters: " xTextDocumentProps~getPropertyValue("CharacterCount")

::requires UNO.CLS    -- get UNO support

-- A function for getting the file in the current folder

::routine makeUrl
  return  ConvertToURL(stream(arg(1), "c", "query exists"))